using Avalonia;
using Avalonia.LinuxFramebuffer;

namespace VisionBuilder.UI.RaspberryAcquisition;

public class Program
{
    [STAThread]
    public static void Main(string[] args)
    {
        if (args.Contains("--drm"))
            BuildAvaloniaApp().StartLinuxDrm(args, card: null, scaling: 1.0);
        else
            BuildAvaloniaApp().StartWithClassicDesktopLifetime(args);
    }

    public static AppBuilder BuildAvaloniaApp()
        => AppBuilder.Configure<App>()
            .UsePlatformDetect()
            .LogToTrace();
}
